{% extends 'user.html.twig' %}

{% block title %}Modification du profil de {{ user.prenom }} {{ user.nom }} {% endblock %}

{% block body %}
	<div class="container">
        <div class="row justify-content-md-center p-5">
            <div class="col">
                <h1>Modification du profil de {{ user.prenom }} {{ user.nom }}</h1>
                <form name="user_form" method="post" enctype="multipart/form-data">
                <div class="form-material">
                    {{ form_start(user_form, {
                        'attr': {
                            'novalidate': 'novalidate',
                            }
                        })
                        }}
                        <div class="row">
                            <div class="col">
                                {{ form_row(user_form.nom, {'attr': {'class': 'form-control rounded-1'}}) }}
                            </div>
                            <div class="col">
                                {{ form_row(user_form.prenom, {
                                    'label': 'Prénom' ,
                                }) }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                {{ form_row(user_form.email) }}
                            </div>
                            <div class="col">
                                {{ form_row(user_form.numAdh, {
                                    'label': 'Numéro d\'adhérent' ,
                                }) }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                {{ form_row(user_form.delegation, {
                                    'label': 'Délégation' ,
                                }) }}
                            </div>
                            <div class="col">
                                {{ form_row(user_form.dateNaissance, {
                                    'label': 'Date de Naissance' ,
                                }) }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                {{ form_row(user_form.lieuDeNaissance, {'attr': {'class': 'form-control rounded-1'}}) }}
                            </div>
                            <div class="col">
                                {{ form_row(user_form.adressePhysique) }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                {{ form_row(user_form.paysDeResidence, {
                                    'label': 'Pays de Résidence' ,
                                }) }}
                            </div>
                            <div class="col">
                                {{ form_row(user_form.departementDeResidence, {
                                    'label': 'Département de Résidence' ,
                                }) }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                {{ form_row(user_form.paysDeNaissance, {'attr': {'class': 'form-control rounded-1'}}) }}
                            </div>
                            <div class="col">
                                {{ form_row(user_form.ville) }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                {{ form_row(user_form.codePostale) }}
                            </div>
                            <div class="col">
                                {{ form_row(user_form.profession) }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                {{ form_row(user_form.departementDeNaissance, {
                                    'label': 'Département de Naissance' ,
                                }) }}
                            </div>
                            <div class="col">
                                {{ form_row(user_form.tarification) }}
                            </div>
                        </div>
                        <div class="row">
                            <div class="col">
                                {% if user_form.UploadImageUser is not null %}
                                    <img src="{{ asset('/uploads/avatar/'~ user.UploadImageUser) }}">
                                {% endif %}
                            </div>
                            <div class="col">
                                {% for role in user_form.roles %}
                                    {{ form_row(role) }}
                                {% endfor %}
                            </div>
                        </div>
                        {{ form_row(user_form.valider, {
                            'label': 'Valider' ,
                            'class': 'btn shadow-1 rounded-1 btn-primary'
                        }) }}
                        {{ form_end(user_form) }}
                        {{ form_rest(user_form) }}
                </div>
                </form>
            </div>
        </div>
	</div>
{% endblock %}